Skip to main content

Live Alerts Stream

GET 

/api/v2/alerts/stream

Server-Sent Events stream of live alerts. Optionally filter by deviceId query param.

Request

Query Parameters

    deviceId string

    Filter stream to alerts for a specific device.

    projectId number

    Filter stream to alerts for a specific project by ID.

    activity boolean

    When true, stream only alerts flagged as activities.

Responses

SSE stream emitting alert messages

Schema

    data

    object

    id stringrequired

    Unique alert identifier

    type stringrequired

    Possible values: [discovery_new, discovery_known, delivery_started, delivery_completed, delivery_error, deploy_started, deploy_completed, deploy_error, pending_version, pending_resource, device_offline, git_sync_success, git_sync_failed, sbom_started, sbom_ready, sbom_failed, upload_started, upload_completed, upload_failed, upload_file_created, upload_file_deleted, release_created, release_published, release_archived, system]

    Type of the alert event

    severity stringrequired

    Possible values: [critical, warning, info]

    Severity level of the alert

    message stringrequired

    Human-readable alert message

    deviceId string

    Device ID associated with the alert

    projectId number

    Project ID associated with the alert

    catalogId string

    Catalog ID associated with the alert

    source string

    Source service that generated the alert

    isActivity booleanrequired

    Whether this event is a higher-level activity (true) or a regular alert (false)

    metadata object

    Additional metadata

    createdAt stringrequired

    Timestamp when the alert was created

    id stringrequired

    Unique event ID (same as the alert id)

    type stringrequired

    SSE event type

Loading...